Overview
POST
/content/poll-optionscontentCreate poll_options
Create a record in poll-options.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- ecosystemIdoptionalstring
- deletedAtoptionalstring?
- pollIdstring
- textstring
- sortOrderoptionalinteger
Example
{
"ecosystemId": "string",
"deletedAt": "string",
"pollId": "string",
"text": "string",
"sortOrder": 0
}Responses
201
poll_options
- idstring
- ecosystemIdstring
- customerIdstring
- deletedAtstring?
- pollIdstring
- textstring
- sortOrderinteger
- createdAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"customerId": "string",
"deletedAt": "string",
"pollId": "string",
"text": "string",
"sortOrder": 0,
"createdAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/content/poll-options" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"deletedAt": "string",
"pollId": "string",
"text": "string",
"sortOrder": 0
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/poll-options", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"deletedAt\": \"string\",\n \"pollId\": \"string\",\n \"text\": \"string\",\n \"sortOrder\": 0\n}",
});
const data = await res.json();